
Foreman - Bug #3645

Total value not shown in daily summary mail subject

11/14/2013 09:13 AM - Beat Gätzi

Status: Closed   

Priority: Normal   

Assignee:    

Category: Reporting   

Target version: 1.3.2   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Due to a typo in host_mailer.rb (T:%{total} instead of T:#{total}) the total value is not shown in the daily summary mail subject.

Associated revisions

Revision c67d0d83 - 11/15/2013 10:37 AM - Beat Gätzi

fixes #3645 - fix total value in summary mail subject

Revision 73795a0b - 11/15/2013 10:41 AM - Beat Gätzi

fixes #3645 - fix total value in summary mail subject

(cherry picked from commit c67d0d83ddfb977bffbdaa0c35a9f7ae5aead02c)

History

#1 - 11/14/2013 09:19 AM - Dominic Cleal

- Category set to Reporting

- Difficulty set to trivial

%{total} is correct because it's extracted for i18n purposes, but a few lines below there's this line:

:total => total_metrics["total"]

 This should be :total => total rather than referencing total_metrics.

#2 - 11/15/2013 07:40 AM - Beat Gätzi

Thanks for the hint. Pull request on github has been updated.

#3 - 11/15/2013 08:56 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.10.0

- translation missing: en.field_release set to 3

https://github.com/theforeman/foreman/pull/1022

#4 - 11/15/2013 11:31 AM - Beat Gätzi

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c67d0d83ddfb977bffbdaa0c35a9f7ae5aead02c.
